Package org.springframework.security.acls.model

# Class AlreadyExistsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.acls.model.AclDataAccessException
org.springframework.security.acls.model.AlreadyExistsException

All Implemented Interfaces:
  `Serializable`

public class AlreadyExistsException extends AclDataAccessException
Thrown if an `Acl` entry already exists for the object.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AlreadyExistsException(String msg)`
Constructs an `AlreadyExistsException` with the specified message.
`AlreadyExistsException(String msg, Throwable cause)`
Constructs an `AlreadyExistsException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AlreadyExistsException

public AlreadyExistsException(String msg)
Constructs an `AlreadyExistsException` with the specified message.

Parameters:
  `msg` - the detail message

### AlreadyExistsException

public AlreadyExistsException(String msg, Throwable cause)
Constructs an `AlreadyExistsException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause